import type { _NSObject } from "../Foundation/NSObject.js";
import type { MTLDataType } from "./MTLDataType.js";
export declare class _MTLType extends _NSObject {
    static alloc(): _MTLType;
    static new(): _MTLType;
    init(): _MTLType;
    dataType(): MTLDataType;
}
